Update Payment Admission Task
curl --request PUT \
--url https://sandbox.api.paylias.xyz/gateway/api/v1/csp/payments/{payment_id}/admissions/{admission_id}/tasks/{task_id} \
--header 'Content-Type: application/json' \
--header 'X-PAYLIAS-API-KEY: <api-key>' \
--header 'idempotency-key: <idempotency-key>' \
--header 'x-org-id: <x-org-id>' \
--header 'x-partner-id: <x-partner-id>' \
--data '
{
"status": "completed",
"status_reason": "accepted"
}
'import requests
url = "https://sandbox.api.paylias.xyz/gateway/api/v1/csp/payments/{payment_id}/admissions/{admission_id}/tasks/{task_id}"
payload = {
"status": "completed",
"status_reason": "accepted"
}
headers = {
"x-org-id": "<x-org-id>",
"x-partner-id": "<x-partner-id>",
"idempotency-key": "<idempotency-key>",
"X-PAYLIAS-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-org-id': '<x-org-id>',
'x-partner-id': '<x-partner-id>',
'idempotency-key': '<idempotency-key>',
'X-PAYLIAS-API-KEY': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({status: 'completed', status_reason: 'accepted'})
};
fetch('https://sandbox.api.paylias.xyz/gateway/api/v1/csp/payments/{payment_id}/admissions/{admission_id}/tasks/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"admission_id": "pay_adm_cvk3rfk20or8munut3v0",
"assignee": 1,
"status": 1,
"status_reason": 1,
"created_on": 1743273406,
"modified_on": 1743273406,
"name": "customer_authentication",
"organization_id": "org_ct239n420or249k5bo90",
"partner_id": "part_ct23b6420or249k5boag",
"payment_id": "cjes76vsemvj3obsnc53",
"token": "pat_cvk3rfk20or8munut400",
"workflow": "customer_authentication"
}
}{
"code": "error.bad_request",
"message": "Invalid request parameters"
}{
"code": "error.unauthorized",
"message": "Authentication required"
}{
"code": "error.not_found",
"message": "Requested resource not found"
}{
"code": "error.conflict",
"message": "Resource already exists"
}Admission Tasks
Update Payment Admission Task
Update Payment Admission Task
PUT
/
api
/
v1
/
csp
/
payments
/
{payment_id}
/
admissions
/
{admission_id}
/
tasks
/
{task_id}
Update Payment Admission Task
Authorizations
Headers
The Organization ID header used for authorization
The Partner ID header used for authorization
The Idempotency Key - usually a UUID
Path Parameters
The unique identifier for the payment
Example:
"pay_123456789"
The unique identifier for the admission
Example:
"adm_ct23b6420or249k5boag"
The unique identifier for the task
Example:
"task_ct23c1420or249k5bocg"
Body
application/json
Request to update the status of a payment admission task
The new status of the task
Available options:
pending, completed, failed, on_hold Example:
"completed"
Reason for the status update
Available options:
accepted, invalid_beneficiary_details, alias_not_provisioned, unknown_alias, account_closed, duplicate_payment, blocked_account, currency_mismatch, business_reasons, deceased_account_holder, insufficient_funds, unknown_error, fraud_detected, regulatory_issues, account_unavailable Example:
"accepted"
Was this page helpful?
⌘I